

#####Calcul de GPP i ER estandarditzats per llum i temperatura segons Bas-Silvestre et al., 2020

##Primer, carrega i/o instala els seguents packages:

install.packages("xlsx")

library(xlsx)

##Carrega la base de dades correcta a la que anomenarem amb el nom 'data'
##la base de dades (.csv) haurà de contindre minim aquestes variables pel funcionament correcte del seguent script:
##Date (com a identificador), A.median, I.max, p.median, GPP.mean, theta.median, tempC.mean, ER.mean
##la 'I.max' als estudis de la Pletera (Bas-Silvestre et al., 2020) i del PECT ha quedat fixada en un valor de 2165).

##Canvia la següent ruta (i condicions si es necessari) per la ruta a la base de dades

data<-read.csv("C:/Users/maria/Desktop/Maria_dell/Doctorat/CAPITOL1/dades.csv", header = TRUE, sep = ",", row.names = 1)


##o


##selecciona la base de dades del clipboard
data <- read.table("clipboard",header=T,sep="\t")


#####Un cop carregades les dades comencem amb els càlculs

attach(data)


#GPPmax diaria

maxGPP<- (A.median*(I.max^p.median))*72 

##For those calculations, the hours of light was set at 12 (i.e., 72 10-min intervals per day)


#GPP20 (fer servir linea 42 o 44 segons si es preferix la theta estimada pel model (linia 42) o fixada (linia 44)

GPP20<- GPP.mean * (theta.median^(20-tempC.mean))

GPP20fix<- GPP.mean * (1.072^(20-tempC.mean)) ##(set to 1.072, corresponding to Q10 of 2; Wilcock et al. 1998)


##GPPmax20 (fer servir linea 49 o 51 segons si es preferix la theta estimada pel model (linia 49) o fixada (linia 51)

maxGPP20<- ((A.median*(I.max^p.median)) * (theta.median^(20-tempC.mean)))*72

maxGPP20fix_B<- ((A.median*(I.max^p.median)) * (1.072^(20-tempC.mean)))*72 ##(set to 1.072, corresponding to Q10 of 2; Wilcock et al. 1998)


##ER20 (fer servir linea 56 o 58 segons si es preferix la theta estimada pel model (linia 56) o fixada (linia 58)

R20<- ER.mean * (theta.median^(20-tempC.mean))

R20<- ER.mean * (1.072^(20-tempC.mean)) ##(set to 1.072, corresponding to Q10 of 2; Wilcock et al. 1998)



#####Creacio d'un arxiu de dades amb els resultats anomenat output

output<- data.frame(Date, GPP.mean, ER.mean, maxGPP, GPP20, maxGPP20, R20)
write.xlsx (output, "output.xlsx")
