
##GRAFIQUES DINAMICS PER SERIES TEMPORALS

## EXAMPLE FOR THE METEO DATA (STATION, EVERY HOUR)

## install all these packages if you do not have them yet (just once)

install.packages("dygraphs")
install.packages("tidyverse")
install.packages("xts")
install.packages("lubridate")

# Library

library(dygraphs)
library(xts)          # To make the convertion data-frame / xts format
library(tidyverse)
library(lubridate)

# Read the data (write your own source)

data<-read.csv("C:/Users/maria/Desktop/Maria_dell/Doctorat/DADES/Dades meteorològiques/Sonda llum HOBO (poste)/arxius_ok/llum_meteo.csv", sep =",")

#have a look at the date before plotting
View(data)
str(data)

# If your time (variable) is currently a factor, you have to convert it to a date-time format!
#here is one option to do it

data$date = ymd_hms(data$date)
str(data)

# Then you can create the xts format, and thus use dygraph
#the main thing you have to change in this chunk of code is:
#"llummeteo": your variable (temporal series, for example, light, oxygen, wind...)
#"date": your variable indicating time in date-time format

don=xts(x = data$llummeteo, order.by = data$date)
dygraph(don) %>%
  dyOptions(labelsUTC = TRUE, fillGraph=TRUE, fillAlpha=0.1, drawGrid = FALSE, colors="#D8AE5A") %>%
  dyRangeSelector() %>%
  dyCrosshair(direction = "vertical") %>%
  dyHighlight(highlightCircleSize = 5, highlightSeriesBackgroundAlpha = 0.2, hideOnMouseOut = FALSE)  %>%
  dyRoller(rollPeriod = 1)


#once obtained, you can navigate through the plot in the R Viewer or export it (image format (not dynamic) 
#or Web Page (dynamic, but you will need a browser to open it)).